From cdab274757429500d7c1228b2a942965be561271 Mon Sep 17 00:00:00 2001
From: grev <grev>
Date: Mon, 29 Oct 2007 21:40:33 +0000
Subject: [PATCH] b=13534 i=Nathan i=Huanghua

test_50 fix for remote mds
---
 lustre/tests/replay-single.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/lustre/tests/replay-single.sh b/lustre/tests/replay-single.sh
index cbddaa198e..79e8e4d918 100755
--- a/lustre/tests/replay-single.sh
+++ b/lustre/tests/replay-single.sh
@@ -1026,9 +1026,10 @@ test_48() {
 run_test 48 "MDS->OSC failure during precreate cleanup (2824)"
 
 test_50() {
-    local oscdev=`grep ${ost1_svc}-osc- $LPROC/devices | awk '{print $1}'`
+    local oscdev=`do_facet mds grep \'${ost1_svc}-osc \' $LPROC/devices | awk '{print $1}' | head -1`
     [ "$oscdev" ] || return 1
-    $LCTL --device $oscdev recover &&  $LCTL --device $oscdev recover
+    do_facet mds $LCTL --device $oscdev recover || return 2 
+    do_facet mds $LCTL --device $oscdev recover || return 3 
     # give the mds_lov_sync threads a chance to run
     sleep 5
 }
-- 
GitLab